## org.opengis.temporal
Interface IntervalLength

All Superinterfaces:
  Duration

    @UML(identifier="TM_IntervalLength",
         specification=ISO_19108)
    public interface IntervalLength

extends Duration

A data type for intervals of time which supports the expression of duration in terms of a specified multiple of a single unit of time.

Method Summary
`int` `getFactor()` The exponent of the base.
`int` `getRadix()` A positive integer that is the base of the mulitplier of the unit.
`Unit` `getUnit()` The unit of measure used to express the length of the interval.
`int` `getValue()` The length of the time interval as an integer multiple of one radix(-factor) of the specified unit.

Method Detail

### getUnit

    @UML(identifier="unit",
         specification=ISO_19108)
    Unit getUnit()

  The unit of measure used to express the length of the interval.

### getRadix

    @UML(identifier="radix",
         specification=ISO_19108)
    int getRadix()

  A positive integer that is the base of the mulitplier of the unit.

### getFactor

    @UML(identifier="factor",
         specification=ISO_19108)
    int getFactor()

  The exponent of the base.

### getValue

    @UML(identifier="value",
         specification=ISO_19108)
    int getValue()

  The length of the time interval as an integer multiple of one radix(-factor) of the specified unit.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.